Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mail.imap
Class Quota.Resource

    java.lang.Object
      |
      +--com.sun.mail.imap.Quota.Resource

Enclosing class:
  Quota

public static class Quota.Resource
extends java.lang.Object

An individual resource in a quota root.

Field Summary
`long` | `limit` The usage limit for the resource.
`java.lang.String` | `name` The name of the resource.
`long` | `usage` The current usage of the resource.

Constructor Summary
`Quota.Resource(java.lang.String name, long usage, long limit)` Construct a Resource object with the given name, usage, and limit.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    public java.lang.String name

  The name of the resource.

### usage

    public long usage

  The current usage of the resource.

### limit

    public long limit

  The usage limit for the resource.

Constructor Detail

### Quota.Resource

    public Quota.Resource(java.lang.String name,
                          long usage,
                          long limit)

  Construct a Resource object with the given name, usage, and limit.
  Parameters:
    `name` - the resource name
    `usage` - the current usage of the resource
    `limit` - the usage limit for the resource

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD